#ifndef PTDEFILEDIALOG_H
#define PTDEFILEDIALOG_H

class PKFileDialog;

#include <tdefiledialog.h>
#include "pmessage.h"
#include "pwidget.h"
#include "controller.h"

class PKFileDialog : public PWidget
{
  TQ_OBJECT
  
public:
  static PObject *createWidget(CreateArgs &ca);

  PKFileDialog ( PObject * parent );
  virtual ~PKFileDialog ();
  
  virtual void messageHandler(int fd, PukeMessage *pm);
  
  virtual void setWidget(TQObject *_f = 0x0);
  virtual KFileDialog *widget();

public slots:

private:
  KFileDialog *kfbd;
};

#endif
